Groovy Documentation

## groovy.lang
[Java] Class GroovyObjectSupport

    java.lang.Object
      groovy.lang.GroovyObjectSupport

All Implemented Interfaces:
  GroovyObject

    public abstract class GroovyObjectSupport
    extends java.lang.Object

A useful base class for Java objects wishing to be Groovy objects

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`GroovyObjectSupport()`

Method Summary
`MetaClass` | `getMetaClass()`
`java.lang.Object` | `getProperty(java.lang.String property)`
`java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)`
`void` | `setMetaClass(MetaClass metaClass)`
`void` | `setProperty(java.lang.String property, java.lang.Object newValue)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GroovyObjectSupport

    public GroovyObjectSupport()

Method Detail

### getMetaClass

    public MetaClass getMetaClass()

### getProperty

    public java.lang.Object getProperty(java.lang.String property)

### invokeMethod

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args)

### setMetaClass

    public void setMetaClass(MetaClass metaClass)

### setProperty

    public void setProperty(java.lang.String property, java.lang.Object newValue)

Groovy Documentation